Package org.globus.ftp

# Class DataChannelAuthentication

java.lang.Object
org.globus.ftp.DataChannelAuthentication

Direct Known Subclasses:
  `SubjectDataChannelAuthentication`

public class DataChannelAuthentication extends Object
Represents data channel authentication mode. Use static variables SELF or NONE.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`argument`
`static final DataChannelAuthentication`
`NONE`
`static final DataChannelAuthentication`
`SELF`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`DataChannelAuthentication()`
`protected`
`DataChannelAuthentication(String argument)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object other)`
`int`
`hashCode()`
`protected void`
`setArgument(String argument)`
`String`
`toFtpCmdArgument()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NONE

public static final DataChannelAuthentication NONE

### SELF

public static final DataChannelAuthentication SELF

### argument

protected String argument

## Constructor Details

### DataChannelAuthentication

protected DataChannelAuthentication()

### DataChannelAuthentication

protected DataChannelAuthentication(String argument)

## Method Details

### setArgument

protected void setArgument(String argument)

### toFtpCmdArgument

public String toFtpCmdArgument()

### equals

public boolean equals(Object other)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`